/* $Id: extmidi.c 2984 2005-09-25 09:04:59Z tron $ */

#ifndef __MORPHOS__
#include <fcntl.h>
#include <sys/wait.h>
//#include <unistd.h>
//#include <signal.h>
//#include <sys/stat.h>
//#include <errno.h>
#include "../stdafx.h"
#include "../openttd.h"
#include "../sound.h"
#include "../ttdstring.h"
#include "../variables.h"
//#include "extmidi.h"

static struct {
	char song[MAX_PATH];
	pid_t pid;
} _midi;

static void DoPlay(void);
static void DoStop(void);

const char* ExtMidiStart(const char* const * parm)
{
	_midi.song[0] = '\0';
	_midi.pid = -1;
	return NULL;
}

void ExtMidiStop(void)
{
	_midi.song[0] = '\0';
	DoStop();
}

void ExtMidiPlaySong(const char* filename)
{
	ttd_strlcpy(_midi.song, filename, lengthof(_midi.song));
	DoStop();
}

void ExtMidiStopSong(void)
{
	_midi.song[0] = '\0';
	DoStop();
}

bool ExtMidiIsPlaying(void)
{
	if (_midi.pid != -1 && waitpid(_midi.pid, NULL, WNOHANG) == _midi.pid)
		_midi.pid = -1;
	if (_midi.pid == -1 && _midi.song[0] != '\0') DoPlay();
	return _midi.pid != -1;
}

void ExtMidiSetVolume(byte vol)
{
	fprintf(stderr, "extmidi: set volume not implemented\n");
}

void DoPlay(void)
{

}

void DoStop(void)
{
}

/*const HalMusicDriver _extmidi_music_driver = {
	ExtMidiStart,
	ExtMidiStop,
	ExtMidiPlaySong,
	ExtMidiStopSong,
	ExtMidiIsPlaying,
	ExtMidiSetVolume,
};*/

#endif /* __MORPHOS__ */
